CheckBoxHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: CheckBoxHandle

# Interface CheckBoxHandle

All Superinterfaces:
  `FormComponentHandle`

public interface CheckBoxHandle extends FormComponentHandle
Handle for the "Check box" form component. The Swing widget is a `JCheckBox`.

Reach this handle via `ScreenHandle.checkBox()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CheckBoxHandle`
  `assertDisabled()`
  `CheckBoxHandle`
  `assertEnabled()`
  `CheckBoxHandle`
  `assertInvisible()`
  `CheckBoxHandle`
  `assertNotSelected()`
  Assert that the checkbox is not currently selected.
  `CheckBoxHandle`
  `assertSelected()`
  Assert that the checkbox is currently selected.
  `CheckBoxHandle`
  `assertVisible()`
  `boolean`
  `isSelected()`
  Whether the checkbox is currently selected.
  `CheckBoxHandle`
  `setSelected(boolean selected)`
  Set the checkbox's selected state.
  `CheckBoxHandle`
  `toggle()`
  Flip the checkbox's selected state.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### isSelected

    boolean isSelected()
    Whether the checkbox is currently selected.

  - ### setSelected

    @NotNull CheckBoxHandle setSelected(boolean selected)
    Set the checkbox's selected state.

  - ### toggle

    @NotNull CheckBoxHandle toggle()
    Flip the checkbox's selected state.

  - ### assertSelected

    @NotNull CheckBoxHandle assertSelected()
    Assert that the checkbox is currently selected.

  - ### assertNotSelected

    @NotNull CheckBoxHandle assertNotSelected()
    Assert that the checkbox is not currently selected.

  - ### assertEnabled

    @NotNull CheckBoxHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull CheckBoxHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull CheckBoxHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull CheckBoxHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`